View Issue Details

IDProjectCategoryView StatusLast Update
0011463mantisbtlocalizationpublic2020-09-19 15:48
Reporteratrol Assigned Todregad  
PrioritynormalSeveritytextReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.2.0rc2 
Target Version2.25.0Fixed in Version2.25.0 
Summary0011463: Confusing message when selecting a project to enter an issue
Description

Please have a look at this piece of strings_english.txt

# account_profile_manage_page.php
......
$s_edit_or_delete_profiles_title = 'Edit or Delete Profiles';
$s_edit_profile = 'Edit Profile';
$s_make_default = 'Make Default';
$s_delete_profile = 'Delete Profile';
......

The string $s_make_default is not only used in account_profile_manage_page.php but also at other places, for example in set_project.php
One time it is used in the context of profile, one time in the context of project.
For this reason there is a wrong German translation for this message in the latest version. (Translated as "Make Default Profile")
I fixed the German message in translatewiki, but seems that other languages are also affected (for example French)

I think there should be two separate strings (make_default_profile and make_default_project) or place this string at another place in the file to avoid further confusion

TagsNo tags attached.

Activities

yw84ever

yw84ever

2010-02-04 09:03

reporter   ~0024314

well "make default" does not specify if the thing to be made default is a profile or a project

the translations mentioned may have been made only for the specific case (despite the text in make default) - oops

but providing separate strings might be helpful for both the translators (and yes translations) and general user, by being presented with the text indicating (or reassuring) the context

dhx

dhx

2010-02-18 10:36

reporter   ~0024423

Perhaps "Set as default" would be better terminology?

yw84ever

yw84ever

2010-02-18 19:50

reporter   ~0024434

Set as Default
Make Default

pretty much the same; though it seemed the issue was that the german translation was attempting to be more specific about what was being made default ... which did not work in all cases where the make default string appeared

So if the english is changed to 'set as default' and then the translation is changed to 'set as default profile', the same issue mentioned in this ticket would appear again when used on projects

dregad

dregad

2020-09-06 12:12

developer   ~0064382

https://github.com/mantisbt/mantisbt/pull/1698

Related Changesets

MantisBT: master 7bf00a0c

2020-09-04 13:50:11

dregad

Details Diff
Remove and consolidate language strings

- Deleted unused Profile-related strings
- Regrouped duplicated strings, e.g. edit_profile_title -> edit_profile,
add_profile_title and add_profile_button -> add_profile
- Renamed additional_description -> profile_description
- Moved generic strings out of the "User/Global Profiles" block

Fixes 0011463, 0027258
Affected Issues
0011463, 0027258
mod - account_prof_edit_page.php Diff File
mod - account_prof_menu_page.php Diff File
mod - lang/strings_english.txt Diff File
mod - lost_pwd_page.php Diff File
mod - news_menu_page.php Diff File
mod - print_all_bug_page_word.php Diff File

Issue History

Date Modified Username Field Change
2010-02-03 16:19 atrol New Issue
2010-02-04 09:03 yw84ever Note Added: 0024314
2010-02-04 14:02 rolfkleef Status new => confirmed
2010-02-18 10:36 dhx Note Added: 0024423
2010-02-18 19:50 yw84ever Note Added: 0024434
2020-09-06 11:10 dregad Description Updated View Revisions
2020-09-06 12:12 dregad Note Added: 0064382
2020-09-06 12:12 dregad Assigned To => dregad
2020-09-06 12:12 dregad Status confirmed => assigned
2020-09-18 19:28 dregad Changeset attached => MantisBT master 7bf00a0c
2020-09-18 19:28 dregad Status assigned => resolved
2020-09-18 19:28 dregad Resolution open => fixed
2020-09-18 19:28 dregad Fixed in Version => 2.25.0
2020-09-19 15:48 atrol Target Version => 2.25.0